<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.1) on Wed May 01 22:01:46 CEST 2019 -->
<title>PlateauChasseur</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2019-05-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PlateauChasseur";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlateauChasseur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">projet</a></div>
<h2 title="Class PlateauChasseur" class="title">Class PlateauChasseur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="Plateau.html" title="class in projet">projet.Plateau</a></li>
<li>
<ul class="inheritance">
<li>projet.PlateauChasseur</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">PlateauChasseur</span>
extends <a href="Plateau.html" title="class in projet">Plateau</a></pre>
<div class="block">Creer le plateau du chasseur</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>guyardc roelandg verdierr boucheza</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.projet.Plateau">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;projet.<a href="Plateau.html" title="class in projet">Plateau</a></h3>
<code><a href="Plateau.html#aleatoire">aleatoire</a>, <a href="Plateau.html#nbTour">nbTour</a>, <a href="Plateau.html#plateau">plateau</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">PlateauChasseur</a></span>()</code></th>
<td class="colLast">
<div class="block">Crée un plateau de taille TAILLE</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int)">PlateauChasseur</a></span>&#8203;(int&nbsp;x)</code></th>
<td class="colLast">
<div class="block">Crée un plateau carré de taille x</div>
</td>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int)">PlateauChasseur</a></span>&#8203;(int&nbsp;nbLig,
               int&nbsp;nbCol)</code></th>
<td class="colLast">
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(projet.Case%5B%5D%5B%5D)">PlateauChasseur</a></span>&#8203;(<a href="Case.html" title="class in projet">Case</a>[][]&nbsp;newPlateau)</code></th>
<td class="colLast">
<div class="block">Crée un plateau grace un tableau de case</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#affichage()">affichage</a></span>()</code></th>
<td class="colLast">
<div class="block">Affiche le plateau du chasseur</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="Position.html" title="class in projet">Position</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#convertir(java.lang.String,java.lang.String)">convertir</a></span>&#8203;(java.lang.String&nbsp;s1,
         java.lang.String&nbsp;s2)</code></th>
<td class="colLast">
<div class="block">Permet de convertir les entrées saisies en Position</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estUnCaratere(java.lang.String)">estUnCaratere</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Permet de determiner si il y a bien qu'un seul caractere de saisie</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estUnNombre(java.lang.String)">estUnNombre</a></span>&#8203;(java.lang.String&nbsp;s)</code></th>
<td class="colLast">
<div class="block">Permet de verifier que le caractere saisie est bien un chiffre</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tir(projet.Position)">tir</a></span>&#8203;(<a href="Position.html" title="class in projet">Position</a>&nbsp;p)</code></th>
<td class="colLast">
<div class="block">retourne true si le chasseur a reussi à tirer et le chasseur tire et decouvre la case, false sinon</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tirAleatoireX()">tirAleatoireX</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de choisir aleatoirement une valeur de x</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tirAleatoireY()">tirAleatoireY</a></span>()</code></th>
<td class="colLast">
<div class="block">Permet de choisir aleatoirement une valeur de y</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.projet.Plateau">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;projet.<a href="Plateau.html" title="class in projet">Plateau</a></h3>
<code><a href="Plateau.html#getLargeur()">getLargeur</a>, <a href="Plateau.html#getLongeur()">getLongeur</a>, <a href="Plateau.html#getNbTour()">getNbTour</a>, <a href="Plateau.html#getPosition()">getPosition</a>, <a href="Plateau.html#initPosition()">initPosition</a>, <a href="Plateau.html#isJeuTerminer()">isJeuTerminer</a>, <a href="Plateau.html#jeuTerminer()">jeuTerminer</a>, <a href="Plateau.html#setPosition(projet.Position)">setPosition</a>, <a href="Plateau.html#tourSuivant()">tourSuivant</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PlateauChasseur</h4>
<pre>public&nbsp;PlateauChasseur()</pre>
<div class="block">Crée un plateau de taille TAILLE</div>
</li>
</ul>
<a id="&lt;init&gt;(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PlateauChasseur</h4>
<pre>public&nbsp;PlateauChasseur&#8203;(int&nbsp;nbLig,
                       int&nbsp;nbCol)</pre>
<div class="block">Crée un plateau de taille nbLig x nbCol</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbLig</code> - int</dd>
<dd><code>nbCol</code> - int</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PlateauChasseur</h4>
<pre>public&nbsp;PlateauChasseur&#8203;(int&nbsp;x)</pre>
<div class="block">Crée un plateau carré de taille x</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - int</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;(projet.Case[][])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PlateauChasseur</h4>
<pre>public&nbsp;PlateauChasseur&#8203;(<a href="Case.html" title="class in projet">Case</a>[][]&nbsp;newPlateau)</pre>
<div class="block">Crée un plateau grace un tableau de case</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPlateau</code> - Case [][]</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="affichage()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>affichage</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;affichage()</pre>
<div class="block">Affiche le plateau du chasseur</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Plateau.html#affichage()">affichage</a></code>&nbsp;in class&nbsp;<code><a href="Plateau.html" title="class in projet">Plateau</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="tir(projet.Position)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tir</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;tir&#8203;(<a href="Position.html" title="class in projet">Position</a>&nbsp;p)</pre>
<div class="block">retourne true si le chasseur a reussi à tirer et le chasseur tire et decouvre la case, false sinon</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>p</code> - Position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="convertir(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convertir</h4>
<pre class="methodSignature">public&nbsp;<a href="Position.html" title="class in projet">Position</a>&nbsp;convertir&#8203;(java.lang.String&nbsp;s1,
                          java.lang.String&nbsp;s2)</pre>
<div class="block">Permet de convertir les entrées saisies en Position</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s1</code> - String</dd>
<dd><code>s2</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Position</dd>
</dl>
</li>
</ul>
<a id="estUnCaratere(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estUnCaratere</h4>
<pre class="methodSignature">private&nbsp;boolean&nbsp;estUnCaratere&#8203;(java.lang.String&nbsp;s)</pre>
<div class="block">Permet de determiner si il y a bien qu'un seul caractere de saisie</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="estUnNombre(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estUnNombre</h4>
<pre class="methodSignature">private&nbsp;boolean&nbsp;estUnNombre&#8203;(java.lang.String&nbsp;s)</pre>
<div class="block">Permet de verifier que le caractere saisie est bien un chiffre</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
<a id="tirAleatoireX()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tirAleatoireX</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;tirAleatoireX()</pre>
<div class="block">Permet de choisir aleatoirement une valeur de x</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a id="tirAleatoireY()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tirAleatoireY</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;tirAleatoireY()</pre>
<div class="block">Permet de choisir aleatoirement une valeur de y</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PlateauChasseur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
